#pragma once

#include <exception>

namespace spin
{
    class TerminationException : public std::exception
    {
    public:
        TerminationException(const char *message) : message_(message) {}
        const char *what() const noexcept override { return message_; }

    private:
        const char *message_;
    };
} // namespace spin